Index: fltk-config.in
===================================================================
--- fltk-config.in	(revision 4337)
+++ fltk-config.in	(working copy)
@@ -36,6 +36,7 @@
 
 ### BEGIN fltk-config
 
+selfdir=`dirname $0`
 prefix=@prefix@
 exec_prefix=@exec_prefix@
 exec_prefix_set=no
@@ -57,6 +58,28 @@
 LDFLAGS="@LDFLAGS@"
 LDLIBS="@LIBS@"
 
+# Check for local invocation, and update paths accordingly...
+if test -e "$selfdir/FL/Fl_Window.H"; then
+	bindir="$selfdir/fluid"
+	includedir="$selfdir"
+	libdir="$selfdir/lib"
+
+	if test -e "$libdir/libfltk_jpeg.a"; then
+		CFLAGS="-I$includedir/jpeg $CFLAGS"
+		CXXFLAGS="-I$includedir/jpeg $CXXFLAGS"
+	fi
+
+	if test -e "$libdir/libfltk_z.a"; then
+		CFLAGS="-I$includedir/zlib $CFLAGS"
+		CXXFLAGS="-I$includedir/zlib $CXXFLAGS"
+	fi
+
+	if test -e "$libdir/libfltk_png.a"; then
+		CFLAGS="-I$includedir/png $CFLAGS"
+		CXXFLAGS="-I$includedir/png $CXXFLAGS"
+	fi
+fi
+
 if test -d $includedir/FL/images; then
 	CFLAGS="-I$includedir/FL/images $CFLAGS"
 	CXXFLAGS="-I$includedir/FL/images $CXXFLAGS"
